PUT api/roomdescription/{id}/attachdocumentoroom?documentId={documentId}&roomId={roomId}&insertAtIndex={insertAtIndex}

Attaches the document to room. Processes this room description API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

The identifier.

integer

Required

documentId

The document identifier.

integer

Required

roomId

The room identifier.

integer

Required

insertAtIndex

Index of the insert at.

integer

Default value is -1

Body Parameters

None.

Response Information

Resource Description

The response returned after the operation completes.

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

The version value.

Version

None.

Content

The content value.

HttpContent

None.

StatusCode

The status code classification.

HttpStatusCode

None.

ReasonPhrase

The reason phrase value.

string

None.

Headers

The collection of headers.

Collection of Object

None.

RequestMessage

The request message value.

HttpRequestMessage

None.

IsSuccessStatusCode

Indicates whether this item is success status code.

boolean

None.